/* layout */
import Layout from '@/components/layout/layout'

// /* 商品 */
// const GoodsEdit = () => import(/* webpackChunkName: "goods" */ '@/pages/goods/edit')

// /* 商品分组 */
// const GoodsGroup = () => import(/* webpackChunkName: "goods" */ '@/pages/goods/group/index')
// const GoodsGroupEdit = () => import(/* webpackChunkName: "goods" */ '@/pages/goods/group/edit')
// const GoodsGroupDetail = () => import(/* webpackChunkName: "goods" */ '@/pages/goods/group/detail')

// /* 订单 */
const orderList = () => import(/* webpackChunkName: "order" */ '@/pages/order/orderList')
// const orderDetail = () => import(/* webpackChunkName: "order" */ '@/pages/order/orderDetail')

export default [
  { path: '*', redirect: '/dashboard' },
  {
    path: '/dashboard',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import(/* webpackChunkName: "shop" */ '@/pages/dashboard/index'),
        meta: { title: '首页' }
      }
    ]
  },
  {
    path: '/shop',
    component: () => import(/* webpackChunkName: "shop" */ '@/pages/shop/list'),
    meta: { title: '选择店铺' }
  },
  {
    path: '/shop/add',
    component: () => import(/* webpackChunkName: "shop" */ '@/pages/shop/add'),
    meta: { title: '新建店铺' }
  },
  // 商品管理
  {
    path: '/goods',
    component: Layout,
    meta: { title: '商品' },
    children: [
      {
        path: '',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/index'),
        meta: { title: '商品列表' }
      },
      {
        path: 'add',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/edit'),
        meta: { title: '发布商品' }
      },
      {
        path: 'edit/:id',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/edit'),
        meta: { title: '编辑商品' }
      }
    ]
  },
  // 商品分组
  {
    path: '/goods/group',
    component: Layout,
    meta: { title: '商品' },
    children: [
      {
        path: '',
        component: () => import(/* webpackChunkName: "goods-group" */ '@/pages/goods/group/index'),
        meta: { title: '商品分组' }
      }
      // {
      //   path: 'add',
      //   component: GoodsGroupEdit,
      //   meta: { title: '新建商品分组' }
      // },
      // {
      //   path: 'edit/:id',
      //   component: GoodsGroupEdit,
      //   meta: { title: '编辑商品分组' }
      // },
      // {
      //   path: 'detail/:id',
      //   component: GoodsGroupDetail,
      //   meta: { title: '查看商品分组' }
      // }
    ]
  },
  // 订单管理
  {
    path: '/order',
    component: Layout,
    meta: { title: '订单' },
    children: [
      { path: '', component: orderList, meta: { title: '订单列表' } }
      // {
      //   path: 'detail/:id',
      //   component: orderDetail,
      //   meta: { title: '订单详情' }
      // }
    ]
  },
  // 设置
  {
    path: '/setting',
    component: Layout,
    meta: { title: '设置' },
    children: [
      { path: '', redirect: 'info' },
      {
        path: 'info',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/info'),
        meta: { title: '店铺信息' }
      },
      {
        path: 'contact',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/contact'),
        meta: { title: '联系我们' }
      },
      {
        path: 'goods',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/goods'),
        meta: { title: '商品设置' }
      }
    ]
  }
]
